// C++ 中使用 结构体 不需要加 struct
#include <iostream>

using namespace std;

struct S
{
    int id;
    char name[30];
};

int main()
{
    // struct S s1 = {1, "张三"}; // C 语言中使用结构体需要加 struct
    S s1 = {1, "张三"}; // C++ 中使用结构体不需要加 struct
    cout << "s1.id = " << s1.id << "\ns1.name = " << s1.name << endl;
    return 0;
}